Skip to main content
GET
/
skus
List SKUs
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/skus \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "product_id": "<string>",
      "sku": "<string>",
      "color": "<string>",
      "filament_type": "<string>",
      "hex_code": "<string>",
      "quantity": 123,
      "stock_level": 123,
      "low_stock_threshold": 123,
      "is_active": true,
      "is_composite": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "finished_goods_stock": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Query Parameters

product_id
string
color
string
filament_type
string
low_stock
enum<string>
Available options:
true,
false
is_active
enum<string>
Available options:
true,
false

Response

SKU list

success
enum<boolean>
required
Available options:
true
data
object[]
required